<?xml version="1.0" encoding="UTF-8"?>
<PluginConfiguration>
	<AgentControllerEnvironment configuration="default">
		<Variable name="CLASSPATH" position="append" value="%RASERVER_HOME%/plugins/org.eclipse.hyades.perfmon.jmxagent/lib/jmxagent.jar"/>
	</AgentControllerEnvironment>

	<Application configuration="default" executable="JonasAgent" location="%SYS_TEMP_DIR%" path="%JAVA_PATH%">		
		<Variable name="CLASSPATH" position="append" value="%RASERVER_HOME%/plugins/org.eclipse.hyades.perfmon.jmxagent/lib/jmxagent.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%JONAS_HOME%/lib/client.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%JONAS_HOME%/lib/common/j2ee/j2eemanagement/javax77.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%RASERVER_HOME%/lib/hexr.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%RASERVER_HOME%/lib/hexl.jar"/>
		<Parameter position="prepend" value="-DagentXML=%RASERVER_HOME%/plugins/org.eclipse.hyades.perfmon.jmxagent/agentXML/JOnAS.xml org.eclipse.hyades.perfmon.jmxagent.JmxAgentExecute "/>
	</Application>

	<Application configuration="default" executable="JBossAgent" location="%SYS_TEMP_DIR%" path="%JAVA_PATH%">		
		<Variable name="CLASSPATH" position="append" value="%RASERVER_HOME%/plugins/org.eclipse.hyades.perfmon.jmxagent/lib/jmxagent.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%JBOSS_HOME%/client/jbossall-client.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%JBOSS_HOME%/lib/jboss-jmx.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%JBOSS_HOME%/server/all/lib/jboss-management.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%RASERVER_HOME%/lib/hexr.jar"/>
		<Variable name="CLASSPATH" position="prepend" value="%RASERVER_HOME%/lib/hexl.jar"/>
		<Parameter position="prepend" value="-DagentXML=%RASERVER_HOME%/plugins/org.eclipse.hyades.perfmon.jmxagent/agentXML/JBoss.xml org.eclipse.hyades.perfmon.jmxagent.JmxAgentExecute "/>
	</Application>

	<Option name="org.eclipse.hyades.perfmon.jmxagent" type="version" value="3.0.0"/>
</PluginConfiguration>
